
/****** Object:  View [dbo].[vDocumentiFAEL]    Script Date: 21/12/2018 10:43:57 ******/
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vDocumentiFAEL]'))
DROP VIEW [dbo].[vDocumentiFAEL]
GO



/****** Object:  View [dbo].[vDocumentiFAEL]    Script Date: 21/12/2018 10:43:57 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vDocumentiFAEL]
AS
SELECT        dbo.Soggetti.RagioneSociale, dbo.TipiDocumento.Descrizione AS DescrizioneTipoDoc, dbo.Documenti.IDDocumento, dbo.Documenti.IDOperatore, dbo.Documenti.IDFornitore, dbo.Documenti.Numero, 
                         dbo.Documenti.Data, dbo.Documenti.IDTipoDocumento, dbo.Documenti.Descrizione, dbo.Documenti.TotaleCopie, dbo.Documenti.TotaleImponibile, dbo.Documenti.TotaleIVA, dbo.Documenti.TotaleBolla, 
                         dbo.Documenti.ValoreBolla, dbo.Documenti.TotaleFIEG, dbo.Documenti.TotaleAltri, dbo.Documenti.ValoreBuoni, dbo.Documenti.NumeroPacchi, dbo.Documenti.NumeroCeste, dbo.Documenti.Note, 
                         dbo.Documenti.NumeroTitoli, dbo.Documenti.TipoRecord, dbo.Documenti.FlagRegistrata, dbo.TipiDocumento.ValorizzazioneMagazzino, dbo.TipiDocumento.TipoBollaInforiv, dbo.TipiDocumento.NomeContatore, 
                         dbo.TipiDocumento.ReportFileName, dbo.TipiDocumento.Riepilogativa, dbo.TipiDocumento.Contabile, dbo.TipiDocumento.IDTipiSoggetto, dbo.TipiDocumento.AggiornaGiacenza, 
                         dbo.TipiDocumento.IDTipoDocSorgente, dbo.Documenti.Contabilizzato, dbo.Documenti.FlagRegistrataResa, dbo.Documenti.Pagato, dbo.Documenti.IDFatturaDifferita, dbo.Documenti.DataPagamento, 
                         dbo.Documenti.IDEstrattoConto, dbo.Documenti.CondizionePagamento, dbo.Documenti.InfoRivDataInvio, dbo.Documenti.Scadenza, dbo.TipiDocumento.GruppoInforiv, dbo.TipiDocumento.Nascosto, 
                         dbo.TipiDocumento.FAEL_TipoDocumento
FROM            dbo.Documenti LEFT OUTER JOIN
                         dbo.TipiDocumento ON dbo.Documenti.IDTipoDocumento = dbo.TipiDocumento.IDTipoDocumento LEFT OUTER JOIN
                         dbo.Soggetti ON dbo.Documenti.IDFornitore = dbo.Soggetti.IDSoggetto
WHERE        (dbo.TipiDocumento.FAEL_TipoDocumento = 'F') OR
                         (dbo.TipiDocumento.FAEL_TipoDocumento = 'N')

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[34] 4[28] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Documenti"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 166
               Right = 248
            End
            DisplayFlags = 280
            TopColumn = 44
         End
         Begin Table = "TipiDocumento"
            Begin Extent = 
               Top = 6
               Left = 286
               Bottom = 136
               Right = 506
            End
            DisplayFlags = 280
            TopColumn = 11
         End
         Begin Table = "Soggetti"
            Begin Extent = 
               Top = 6
               Left = 544
               Bottom = 136
               Right = 757
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vDocumentiFAEL'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'vDocumentiFAEL'
GO